server {
    listen 8300;
    charset utf-8;

    location ^~ / {
        alias /home/admin/project/exam-reserve/static/admin/dist/;
        try_files $uri $uri/ /index.html;
    }

    location ^~ /wap {
        alias /home/admin/project/exam-reserve/static/wap/dist/;
        try_files $uri $uri/ /wap/index.html;
    }

    location /file/ {
        alias /home/admin/project/exam-reserve/static/file/;
        add_header Access-Control-Allow-Origin *;
    }

    location ^~ /api/ {
        proxy_pass http://localhost:8080;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

}
